# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_clocalfileshare`](#dsc_clocalfileshare): The DSC cLocalFileShare resource type. Automatically generated from version 1.0.1

## Resource types

### <a name="dsc_clocalfileshare"></a>`dsc_clocalfileshare`

The DSC cLocalFileShare resource type.
Automatically generated from version 1.0.1

#### Properties

The following properties are available in the `dsc_clocalfileshare` type.

##### `dsc_changeaccess`

Data type: `Optional[Array[String]]`

Indicates which accounts are granted Change permission to access the share.

##### `dsc_concurrentuserlimit`

Data type: `Optional[Integer[0, 4294967295]]`

Indicates the number of users allowed to concurrently use the share. To set the limit at the maximum number, set this property to zero.

##### `dsc_description`

Data type: `Optional[String]`

Indicates an optional description for the share.

##### `dsc_ensure`

Data type: `Optional[Enum['Absent', 'Present']]`

Indicates if the share exists. Set this property to Absent to ensure that the share does not exist. Setting it to Present (the default value) ensures that the share exists.

##### `dsc_fullaccess`

Data type: `Optional[Array[String]]`

Indicates which accounts are granted Full Control permission to access the share.

##### `dsc_noaccess`

Data type: `Optional[Array[String]]`

Indicates which accounts are denied access to the share.

##### `dsc_readaccess`

Data type: `Optional[Array[String]]`

Indicates which accounts are granted Read permission to access the share.

#### Parameters

The following parameters are available in the `dsc_clocalfileshare` type.

* [`dsc_name`](#dsc_name)
* [`dsc_path`](#dsc_path)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_name"></a>`dsc_name`

namevar

Data type: `String`

Indicates the name of the share.

##### <a name="dsc_path"></a>`dsc_path`

namevar

Data type: `String`

Indicates the path to the location of the folder to share.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

